Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms.styles
Class FieldStyle

    java.lang.Object
      org.pdfclown.documents.interaction.forms.styles.FieldStyle

Direct Known Subclasses:
  DefaultStyle

    public abstract class FieldStyle

extends Object

Abstract field appearance style.

It automates the definition of field appearance, applying a common look.

Since:
  0.0.7
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `FieldStyle()`

Method Summary
`abstract void` | `apply(Field field)`
`Color<?>` | `getBackColor()`
`char` | `getCheckSymbol()`
`double` | `getFontSize()`
`Color<?>` | `getForeColor()`
`char` | `getRadioSymbol()`
`boolean` | `isGraphicsVisibile()`
`void` | `setBackColor(Color<?> value)`
`void` | `setCheckSymbol(char value)`
`void` | `setFontSize(double value)`
`void` | `setForeColor(Color<?> value)`
`void` | `setGraphicsVisibile(boolean value)`
`void` | `setRadioSymbol(char value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldStyle

    protected FieldStyle()

Method Detail

### apply

    public abstract void apply(Field field)

### getBackColor

    public Color<?> getBackColor()

### getCheckSymbol

    public char getCheckSymbol()

### getFontSize

    public double getFontSize()

### getForeColor

    public Color<?> getForeColor()

### isGraphicsVisibile

    public boolean isGraphicsVisibile()

### getRadioSymbol

    public char getRadioSymbol()

### setBackColor

    public void setBackColor(Color<?> value)

### setCheckSymbol

    public void setCheckSymbol(char value)

### setFontSize

    public void setFontSize(double value)

### setForeColor

    public void setForeColor(Color<?> value)

### setGraphicsVisibile

    public void setGraphicsVisibile(boolean value)

### setRadioSymbol

    public void setRadioSymbol(char value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.